For the complete documentation index, see llms.txt. This page is also available as Markdown.

Ensure Cluster

Ensures that the Cluster with the provided ID is created or modified. The full Cluster needs to be provided to ensure (either update or create) the Cluster. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

put
/clusters/{clusterId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Body
idstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
metadataanyOptional

Metadata

Responses
200

Cluster successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Cluster.

Example: /clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead
put/clusters/{clusterId}
PUT /v2/clusters/{clusterId} HTTP/1.1
Host: mariadb.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 726

{
  "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "metadata": {},
  "properties": {
    "name": "cms-prod",
    "description": "A cluster for the production CMS.",
    "version": "11.4",
    "instances": {
      "count": 1,
      "ram": 4,
      "cores": 4,
      "storageSize": 10
    },
    "connection": {
      "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
      "lanId": "2",
      "primaryInstanceAddress": "192.168.2.101/24"
    },
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    },
    "credentials": {
      "username": "my_dbuser",
      "password": "P@ssw0rd123",
      "database": "my_database"
    },
    "restoreFromBackup": {
      "sourceBackupId": "dcd31531-3ac8-11eb-9feb-046c59cc737e",
      "recoveryTargetDatetime": "2020-12-10T13:37:50+01:00"
    },
    "logsEnabled": false,
    "metricsEnabled": false,
    "backup": {
      "location": "eu-central-3",
      "retentionDays": 90
    }
  }
}
{
  "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "type": "cluster",
  "href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "statusMessage": "Update failed: insufficient storage quota.",
    "dnsName": "ma-010203.mariadb.de-fra.ionoscloud.com"
  },
  "properties": {
    "name": "cms-prod",
    "description": "A cluster for the production CMS.",
    "version": "11.4",
    "instances": {
      "count": 1,
      "ram": 4,
      "cores": 4,
      "storageSize": 10
    },
    "connection": {
      "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
      "lanId": "2",
      "primaryInstanceAddress": "192.168.2.101/24"
    },
    "maintenanceWindow": {
      "time": "16:30:59",
      "dayOfTheWeek": "Monday"
    },
    "credentials": {
      "username": "my_dbuser",
      "database": "my_database"
    },
    "logsEnabled": false,
    "metricsEnabled": false,
    "backup": {
      "location": "eu-central-3",
      "retentionDays": 90
    }
  }
}

Last updated

Was this helpful?